org.apache.cassandra.cql3

## Class SingleColumnRelation

- java.lang.Object
- - org.apache.cassandra.cql3.Relation
  - - org.apache.cassandra.cql3.SingleColumnRelation

    public class SingleColumnRelation
    extends Relation

Relations encapsulate the relationship between an entity of some kind, and a value (term). For example, <key> > "start" or "colname1" = "somevalue".

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Relation

`Relation.Type`

### Field Summary

Fields
`boolean` `onToken`

### Fields inherited from class org.apache.cassandra.cql3.Relation

`relationType`

### Constructor Summary

Constructors
Constructor and Description
`SingleColumnRelation(ColumnIdentifier entity, Relation.Type type, Term.Raw value)` Creates a new relation.
`SingleColumnRelation(ColumnIdentifier entity, Relation.Type type, Term.Raw value, boolean onToken)`

### Method Summary

Methods
`static SingleColumnRelation` `createInRelation(ColumnIdentifier entity, java.util.List<Term.Raw> inValues)`
`ColumnIdentifier` `getEntity()`
`java.util.List<Term.Raw>` `getInValues()`
`Term.Raw` `getValue()`
`boolean` `isMultiColumn()`
`java.lang.String` `toString()`
`SingleColumnRelation` `withNonStrictOperator()`

### Methods inherited from class org.apache.cassandra.cql3.Relation

`operator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### onToken

    public final boolean onToken

### Constructor Detail

#### SingleColumnRelation

    public SingleColumnRelation(ColumnIdentifier entity,
                        Relation.Type type,
                        Term.Raw value)

Creates a new relation.

Parameters:
  `entity` - the kind of relation this is; what the term is being compared to.
  `type` - the type that describes how this entity relates to the value.
  `value` - the value being compared.

#### SingleColumnRelation

    public SingleColumnRelation(ColumnIdentifier entity,
                        Relation.Type type,
                        Term.Raw value,
                        boolean onToken)

### Method Detail

#### createInRelation

    public static SingleColumnRelation createInRelation(ColumnIdentifier entity,
                                        java.util.List<Term.Raw> inValues)

#### getEntity

    public ColumnIdentifier getEntity()

#### getValue

    public Term.Raw getValue()

#### getInValues

    public java.util.List<Term.Raw> getInValues()

#### isMultiColumn

    public boolean isMultiColumn()

Specified by:
  `isMultiColumn` in class `Relation`

#### withNonStrictOperator

    public SingleColumnRelation withNonStrictOperator()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`